package oldipspatcher;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import java.io.File;
import java.io.IOException;

public class DlgMain extends JDialog {
    boolean patchzipped;
    boolean filezipped;
    private JPanel jPanel8;
    private JPanel jPanel7;
    private JPanel jPanel6;
    private JPanel jPanel5;
    private JPanel jPanel4;
    private JPanel jPanel3;
    private JPanel jPanel2;
    private JPanel jPanel1;
    private JComboBox CmbFile;
    private JButton BtnPatch;
    private JCheckBox ChkBackup;
    private JCheckBox ChkLog;
    private JPanel jPanel11;
    private JPanel jPanel10;
    private JButton BtnCancel;
    private JTabbedPane jTabbedPane1;
    private JComboBox CmbPatch;
    private JLabel jLabel3;
    private JLabel jLabel2;
    private JLabel jLabel1;
    private JButton BtnBrowsePatch;
    private JButton BtnBrowseFile;

    public DlgMain(Frame parent, boolean modal) {
        super(parent, modal);
        this.initComponents();
    }

    private void initComponents() {
        this.jTabbedPane1 = new JTabbedPane();
        this.jPanel1 = new JPanel();
        this.jPanel3 = new JPanel();
        this.CmbFile = new JComboBox();
        this.BtnBrowseFile = new JButton();
        this.jPanel4 = new JPanel();
        this.CmbPatch = new JComboBox();
        this.BtnBrowsePatch = new JButton();
        this.jPanel2 = new JPanel();
        this.jPanel6 = new JPanel();
        this.jPanel11 = new JPanel();
        this.ChkLog = new JCheckBox();
        this.ChkBackup = new JCheckBox();
        this.jPanel7 = new JPanel();
        this.jPanel8 = new JPanel();
        this.jPanel10 = new JPanel();
        this.jLabel1 = new JLabel();
        this.jLabel2 = new JLabel();
        this.jLabel3 = new JLabel();
        this.jPanel5 = new JPanel();
        this.BtnPatch = new JButton();
        this.BtnCancel = new JButton();
        this.setDefaultCloseOperation(2);
        this.setTitle("JIPS 3.0");
        this.setFont(new Font("Dialog", 1, 12));
        this.addWindowListener(new WindowAdapter() {
            public void windowOpened(WindowEvent evt) {
                DlgMain.this.formWindowOpened(evt);
            }

            public void windowClosing(WindowEvent evt) {
                DlgMain.this.closeDialog(evt);
            }
        });
        this.jPanel1.setLayout(new GridLayout(2, 1));
        this.jPanel3.setLayout(new BoxLayout(this.jPanel3, 0));
        this.jPanel3.setBorder(new TitledBorder((Border)null, "File To Patch:", 0, 0, new Font("Dialog", 1, 12)));
        this.CmbFile.setFont(new Font("Dialog", 0, 12));
        this.CmbFile.setMaximumSize(new Dimension(800, 26));
        this.CmbFile.setMinimumSize(new Dimension(180, 26));
        this.jPanel3.add(this.CmbFile);
        this.BtnBrowseFile.setText("...");
        this.BtnBrowseFile.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                DlgMain.this.BtnBrowseFileActionPerformed(evt);
            }
        });
        this.jPanel3.add(this.BtnBrowseFile);
        this.jPanel1.add(this.jPanel3);
        this.jPanel4.setLayout(new BoxLayout(this.jPanel4, 0));
        this.jPanel4.setBorder(new TitledBorder((Border)null, "Patch File:", 0, 2, new Font("Dialog", 1, 12)));
        this.CmbPatch.setFont(new Font("Dialog", 0, 12));
        this.CmbPatch.setMaximumSize(new Dimension(32767, 26));
        this.CmbPatch.setMinimumSize(new Dimension(180, 26));
        this.jPanel4.add(this.CmbPatch);
        this.BtnBrowsePatch.setText("...");
        this.BtnBrowsePatch.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                DlgMain.this.BtnBrowsePatchActionPerformed(evt);
            }
        });
        this.jPanel4.add(this.BtnBrowsePatch);
        this.jPanel1.add(this.jPanel4);
        this.jTabbedPane1.addTab("Patching", (Icon)null, this.jPanel1, "");
        this.jPanel2.setLayout(new BoxLayout(this.jPanel2, 0));
        this.jPanel6.setBorder(new TitledBorder((Border)null, "Options:", 0, 0, new Font("Dialog", 1, 12)));
        this.jPanel6.setFont(new Font("Dialog", 1, 12));
        this.jPanel11.setLayout(new GridLayout(2, 1));
        this.ChkLog.setSelected(true);
        this.ChkLog.setText("Log File");
        this.jPanel11.add(this.ChkLog);
        this.ChkBackup.setSelected(true);
        this.ChkBackup.setText("Backup Copy");
        this.jPanel11.add(this.ChkBackup);
        this.jPanel6.add(this.jPanel11);
        this.jPanel2.add(this.jPanel6);
        this.jTabbedPane1.addTab("Options", (Icon)null, this.jPanel2, "");
        this.jPanel7.setLayout(new BorderLayout());
        this.jPanel8.setBackground(Color.black);
        this.jPanel10.setLayout(new GridLayout(3, 1));
        this.jPanel10.setBackground(Color.black);
        this.jLabel1.setBackground(Color.black);
        this.jLabel1.setFont(new Font("Dialog", 1, 36));
        this.jLabel1.setForeground(new Color(153, 0, 153));
        this.jLabel1.setHorizontalAlignment(0);
        this.jLabel1.setText("JIPS 3.0");
        this.jLabel1.setOpaque(true);
        this.jPanel10.add(this.jLabel1);
        this.jLabel2.setFont(new Font("Dialog", 0, 12));
        this.jLabel2.setForeground(new Color(255, 255, 255));
        this.jLabel2.setHorizontalAlignment(0);
        this.jLabel2.setText("Copyright (C) 1998-2002 Z.e.r.o and ZeroSoft");
        this.jLabel2.setHorizontalTextPosition(0);
        this.jPanel10.add(this.jLabel2);
        this.jLabel3.setFont(new Font("Dialog", 0, 12));
        this.jLabel3.setForeground(new Color(102, 153, 255));
        this.jLabel3.setHorizontalAlignment(0);
        this.jLabel3.setText("http://zerosoft.zophar.net");
        this.jPanel10.add(this.jLabel3);
        this.jPanel8.add(this.jPanel10);
        this.jPanel7.add(this.jPanel8, "Center");
        this.jTabbedPane1.addTab("About", (Icon)null, this.jPanel7, "");
        this.getContentPane().add(this.jTabbedPane1, "Center");
        this.BtnPatch.setText("Patch!");
        this.BtnPatch.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                DlgMain.this.BtnPatchActionPerformed(evt);
            }
        });
        this.jPanel5.add(this.BtnPatch);
        this.BtnCancel.setText("Cancel");
        this.BtnCancel.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                DlgMain.this.BtnCancelActionPerformed(evt);
            }
        });
        this.jPanel5.add(this.BtnCancel);
        this.getContentPane().add(this.jPanel5, "South");
        this.pack();
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension dialogSize = this.getSize();
        this.setLocation((screenSize.width - dialogSize.width) / 2, (screenSize.height - dialogSize.height) / 2);
    }

    private void formWindowOpened(WindowEvent evt) {
    }

    private void BtnBrowsePatchActionPerformed(ActionEvent evt) {
        try {
            this.patchzipped = this.Browse(this.CmbPatch);
        } catch (Exception var3) {
            ;
        }

    }

    private void BtnBrowseFileActionPerformed(ActionEvent evt) {
        try {
            this.filezipped = this.Browse(this.CmbFile);
        } catch (Exception var3) {
            ;
        }

    }

    private void BtnCancelActionPerformed(ActionEvent evt) {
        System.exit(0);
    }

    private void BtnPatchActionPerformed(ActionEvent evt) {
        try {
            IPSTool ips = new IPSTool(this, new File(this.CmbFile.getSelectedItem().toString()), new File(this.CmbPatch.getSelectedItem().toString()), this.ChkLog.isSelected(), this.ChkBackup.isSelected());
            ips.patch();
        } catch (IOException var5) {
            ;
        }

    }

    private void closeDialog(WindowEvent evt) {
        this.setVisible(false);
        this.dispose();
    }

    public static void main(String[] args) {
        (new DlgMain(new JFrame(), true)).show();
    }

    boolean isaZip(File file) {
        return file.isFile() && file.getName().toLowerCase().endsWith(".zip");
    }

    public boolean Browse(JComboBox Combo) throws Exception {
        JFileChooser chooser = new JFileChooser();
        int returnVal = chooser.showOpenDialog(this);
        if (returnVal == 0) {
            File SelectedFile = chooser.getSelectedFile();
            Combo.addItem(SelectedFile.getPath());
            return false;
        } else {
            return false;
        }
    }
}
